Subject: Re: 23.1; ns-antialias-text set to nil has no effect

From: Francis Devereux <[email-masked]>
Date: Sun, 14 Feb 2010 16:01:55 +0000

On 14 Feb 2010, at 15:38, David Reitter wrote:

> On Feb 14, 2010, at 8:31 AM, Francis Devereux wrote:
> 
>> On 17 Oct 2009, at 13:16, Adrian Robert wrote:
>> 
>>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4736
>> 
>> I've also discovered that if I build Emacs as a 32 bit binary on 10.6 (the default is 64 bit on 10.6) with the following command then ns-antialias-text works.  The commands I used to build are:
>> LDFLAGS="-arch i386" CFLAGS="-g -O2 -arch i386 -march=core2" ../trunk/configure --build=i386-apple-darwin10.2.0 --with-ns && make -j2 && make install
> 
> 
> ns_antialias_text is wrongly declared as an int instead of Lisp_Object, and the nonstandard pointer comparison to Qnil helped cover it up, I suppose.  That also explains why it happened to work on 32bit.   Try the patch below.

Thanks David, works when compiled as 64 bit on OS X 10.6.2.

Francis